Bug 238316 - boot shows numerous fatal: module off not found messages.
boot shows numerous fatal: module off not found messages.
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2007-04-29 04:42 EDT by David Timms
Modified: 2014-03-16 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 00:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
serial console boot showing the location timing of the message (19.77 KB, text/plain)
2007-04-29 07:43 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2007-04-29 04:42:09 EDT
Description of problem:
rhgb had flipped to show the problem text screen {for sendmail}. Just before
networking line on the screen, the fatal message was shown. Also further down in
the boot it repeated.

Version-Release number of selected component (if applicable):
initscripts-8.53-1  {fc6+updates+upgrade>f7t4}

How reproducible:
each time it boots.

Steps to Reproduce:
1. bootup f7t4
Actual results:
"fatal: module off not found"

Expected results:

Additional info:
Appears to be inconsequential = unwanted noise ? during boot
Comment 1 David Timms 2007-04-29 07:43:07 EDT
Created attachment 153732 [details]
serial console boot showing the location timing of the message

While the machine is close to fc6 default, there was one mod performed:
disabling ipv6, according to

In /etc/modprobe.conf:
if neither net-profile-10 nor ipv6 are included: ok
if net-profile-10 included: ok
if ipv6 included: error
if net-profile-10 and ipv6 are included: error

With both included, ipv6 doesn't get loaded {ifconfig}.

The error may be due to some other application attempting to load ipv6.
Comment 2 Bill Nottingham 2007-05-01 00:53:56 EDT
You should not use alias XXX off; you should use 'install XXX /bin/true'.

The docs you referred to are wrong.
Comment 3 David Timms 2007-05-01 09:56:07 EDT
Unfortunately, the same info is provided by many sites.
in modprobe.conf: Adding just the single:
install ipv6 /bin/true
is successful at disabling ipv6 {ifconfig}.

Knowing what command line to put in /etc/modprobe.conf, it is much easier to
find the same answers:
{still do the NETWORKING_IPV6=off and service disable for ip6tables}
Comment 4 Bill Nottingham 2007-05-01 11:21:01 EDT
Note that NETWORKING_IPV6=no has no effect - it needs to be done in
modprobe.conf or /etc/modprobe.d.

Note You need to log in before you can comment on or make changes to this bug.